/*
中国联通vConsole调试

[Script]
# > 中国联通vConsole调试
^https?:\/\/img\.client\.10010\.com\/2023unicomyuedu\/index\.html url script-response-body https://git.vsprit.com/shawenguan/Quantumult-X/raw/master/Scripts/unicom/unicomDebug.js

[MITM]
hostname = img.client.10010.com

*/

let body = $response.body;
console.log(body);
if (body) {
    let injectionStr = `<script src="https://git.vsprit.com/shawenguan/Quantumult-X/raw/master/Scripts/injection/common.js?t=${Date.now()}"></script>`;
    body = body.replace(/<\/body>/i, injectionStr + "</body>");

    console.log(body);
    $done({ body: body });
} else {
    $done({});
}
